#pragma once
#include <fcntl.h>
#include <stdint.h>

typedef struct {
  int fd; // File descriptor.
  uint32_t pos; // position.
  uint32_t start, end; // file limits.
} Packfile;

// Packfile manipulation. Automatically allocated and freed (with open and close).

// Basic.
int pack_check(const char* filename);
int pack_files(const char* outfile, const char** infiles, const uint32_t nfiles);
int pack_open(Packfile* file, const char* packfile, const char* filename);
ssize_t pack_read(Packfile* file, void* buf, const size_t count);
int pack_close(Packfile* file);

// Fancy stuff.
void* pack_readfile(const char* packfile, const char* filename, uint32_t* filesize);
void pack_listfiles(const char* packfile, char** filenames, uint32_t* nfiles);

